> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caspen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all appointment clients



## OpenAPI

````yaml GET /appointment_clients
openapi: 3.1.0
info:
  title: Caspen
  version: 0.0.1
servers:
  - url: https://api.caspen.com/v1
    description: Production
security: []
paths:
  /appointment_clients:
    get:
      tags:
        - AppointmentClient
      operationId: appointmentClient.index
      parameters:
        - name: cursor
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Paginated set of `AppointmentClientResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppointmentClientCollection'
                  links:
                    type: object
                    properties:
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - prev
                      - next
                required:
                  - data
                  - links
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AppointmentClientCollection:
      type: array
      items:
        $ref: '#/components/schemas/AppointmentClientResource'
      title: AppointmentClientCollection
    AppointmentClientResource:
      type: object
      properties:
        id:
          type: string
          description: The appointment client's unique identifier.
          examples:
            - apc_01HQFQ9QWTNNPY58FZ8CB3FWWK
        appointment_id:
          type: string
          description: The appointment identifier.
          examples:
            - apt_01HQFQ9QWTNNPY58FZ8CB3FWWK
        client_id:
          type: string
          description: The client identifier.
          examples:
            - cli_01HQFQ9QWTNNPY58FZ8CB3FWWK
        case_id:
          type:
            - string
            - 'null'
          description: The case identifier for this client's booking.
          examples:
            - cas_01HQFQ9QWTNNPY58FZ8CB3FWWK
        client_package_id:
          type:
            - string
            - 'null'
          description: The client package identifier if this booking uses a package.
          examples:
            - cpk_01HQFQ9QWTNNPY58FZ8CB3FWWK
        status:
          anyOf:
            - $ref: '#/components/schemas/AppointmentClientStatus'
              description: The attendance status of the client.
              examples:
                - arrived
            - type: 'null'
        do_not_invoice:
          type: boolean
          description: Whether this client should not be invoiced for this appointment.
          examples:
            - false
        note:
          type:
            - string
            - 'null'
          description: Notes specific to this client's appointment.
          examples:
            - Client requested extra time
        confirmed:
          type: boolean
          description: Whether the client has confirmed their attendance.
          examples:
            - true
        confirmed_at:
          type:
            - string
            - 'null'
          description: When the client confirmed their attendance (ISO 8601).
          examples:
            - '2024-01-01T12:00:00Z'
        cancellation_reason_id:
          type:
            - string
            - 'null'
          description: The cancellation reason identifier if cancelled.
          examples:
            - cnr_01HQFQ9QWTNNPY58FZ8CB3FWWK
        cancellation_note:
          type:
            - string
            - 'null'
          description: Additional notes about the cancellation.
          examples:
            - Client called to cancel
        cancelled_at:
          type:
            - string
            - 'null'
          description: When this client's appointment was cancelled (ISO 8601).
          examples:
            - '2024-01-01T12:00:00Z'
        starts_at:
          type: string
          description: The appointment start time (ISO 8601).
          examples:
            - '2024-01-01T09:00:00Z'
        ends_at:
          type: string
          description: The appointment end time (ISO 8601).
          examples:
            - '2024-01-01T10:00:00Z'
        created_at:
          type: string
          description: The timestamp when this record was created (ISO 8601).
          examples:
            - '2024-01-01T12:00:00Z'
        updated_at:
          type: string
          description: The timestamp when this record was last updated (ISO 8601).
          examples:
            - '2024-01-01T12:00:00Z'
      title: AppointmentClientResource
    AppointmentClientStatus:
      type: string
      enum:
        - pending
        - arrived
        - missed
        - cancelled
      title: AppointmentClientStatus
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````